Subject: Re: gzip.exe as symlink breaks NTEmacs's jka-compr.el
From: Nicholas Wourms <[email-masked]>
To: David Starks-Browning <[email-masked]>, Matt Swift <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Jul 2002 08:41:56 -0700 (PDT)

--- David Starks-Browning <[email-masked]> wrote:
> On Tuesday 16 Jul 02, Matt Swift writes:
> > Porting Emacs to Cygwin is no small job.  Meanwhile, many need to use
> > NTEmacs with Cygwin with as much efficiency as is available.
> > 
> > I see that the Cygwin sources have been changed back to gunzip being a
> > symlink.
> > 
> > What about a hard link?  It seems to be the best of both worlds.  No
> > more disk space and no problems with symlnks.  I've tried it and it
> > works well so far.
> 
> I do not believe that is possible on Win9x.
> 
> IMO, a separate copy of the file is the friendliest choice for Windows
> apps like GNU Emacs.  But it's up to the gzip maintainer.  If the gzip
> maintainer chooses not to do this, GNU Emacs users will have to work
> around it somehow.  Full stop.
> 

You are right, WinME/9X doesn't support "hard links", nor does NT with
FAT/FAT32 formatted drives.

Geeze, try this:
rm -f /bin/gzip.exe; cp -f /bin/gunzip.exe /bin/gzip.exe

Now was that hard?  No.

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! Autos - Get free new car price quotes
http://autos.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/